Page MenuHomePhabricator

Log when a user copies an IP address
Closed, ResolvedPublic2 Estimated Story Points

Description

Background

As in T279540: Instrument IP address copy action metric, we'd like to understand how many users are copying IP addresses.

AC
  • When I copy an IP address, an event should be logged
    • The event_action property should be "copy"
    • The event_context property should be "ip_address"
    • The event_source property should be the action/page that I'm on, i.e. one of "action_history", "special_log", "special_recentchanges"
  • The ipAddressCopyAction instrument created in T279540: Instrument IP address copy action metric is disabled and removed
Notes
  1. In order to disable the ipAddressCopyAction instrument, the wgWMEIPAddressCopyActionEnabled stanza in the production config will have to be removed
  2. See the current.yaml files in the subdirectories in https://gerrit.wikimedia.org/r/plugins/gitiles/schemas/event/secondary/+/refs/heads/master/jsonschema/analytics/mediawiki for numerous examples of JSON Schema schemas that are used in production
  3. wt:Event Platform/Instrumentation How To is a step-by-step guide to creating a creating a schema and validating an event with it
  4. https://www.mediawiki.org/wiki/MediaWiki-Docker/Configuration_recipes/EventLogging is a step-by-step guide to setting up your local development environment

Event Timeline

ARamirez_WMF renamed this task from Log when a user copies an IP address to Log when a user copies an IP address [S].Nov 30 2021, 5:38 PM
ARamirez_WMF renamed this task from Log when a user copies an IP address [S] to Log when a user copies an IP address.Feb 15 2022, 6:49 PM
ARamirez_WMF set the point value for this task to 2.

The ipAddressCopyAction instrument created in T279540: Instrument IP address copy action metric is disabled and removed

@Niharika @phuedx Presumably this means removed from WikimediaEvents, i.e. removal of everything added in T279540? Or does it just mean setting $wgWMEIPAddressCopyActionEnabled to false/removing it?

Change 774892 had a related patch set uploaded (by Tchanders; author: Tchanders):

[mediawiki/extensions/WikimediaEvents@master] Remove IP address copy action instrument

https://gerrit.wikimedia.org/r/774892

Change 774902 had a related patch set uploaded (by Tchanders; author: Tchanders):

[mediawiki/extensions/IPInfo@master] Log when a user copies an IP address

https://gerrit.wikimedia.org/r/774902

Change 774904 had a related patch set uploaded (by Tchanders; author: Tchanders):

[operations/mediawiki-config@master] Remove wgWMEIPAddressCopyActionEnabled from Beta and production config

https://gerrit.wikimedia.org/r/774904

Change 774902 merged by jenkins-bot:

[mediawiki/extensions/IPInfo@master] Log when a user copies an IP address

https://gerrit.wikimedia.org/r/774902

There are 3 patches with this: a change to IPInfo, and two patches removing the old way of logging copying IPs. Moving this to QA because the IPInfo change is ready to test.

Change 774904 merged by jenkins-bot:

[operations/mediawiki-config@master] Remove wgWMEIPAddressCopyActionEnabled from Beta and production config

https://gerrit.wikimedia.org/r/774904

Mentioned in SAL (#wikimedia-operations) [2022-04-04T20:29:30Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 8c81de9c732adef4537226ec6a7023fef40f3396: Remove wgWMEIPAddressCopyActionEnabled from Beta and production config (T296469) (duration: 00m 51s)

We should probably test that this works on Special:Watchlist.

Change 774892 merged by jenkins-bot:

[mediawiki/extensions/WikimediaEvents@master] Remove IP address copy action instrument

https://gerrit.wikimedia.org/r/774892

We should probably test that this works on Special:Watchlist.

Looks like it is:

image.png (299ร—1 px, 87 KB)